Subject: Re: [PATCH 0/6] mvneta: SGMII-based in-band link state signaling

From: Andrew Lunn <[email-masked]>
Date: Fri, 27 Mar 2015 14:39:07 +0100

On Fri, Mar 27, 2015 at 04:28:28PM +0300, Stas Sergeev wrote:
> Hello.
> 
> Currently the fixed-link DT binding is pre-configured and
> cannot be changed in run-time. This means the cable unplug
> events are not being detected, and the link parameters can't
> be negotiated.

O.K, i will ask the dumb question....

Isn't fixed-link supposed to be used for links which are fixed?
Why would a fixed-link change?

The use cases i've seen for this is when you are connecting the MAC to
a Switch. The link is configured to its fastest mode and then left
alone.

Please could you give some more background information. What do you
have on the other end of this fixed link which keeps changing?
Obviously not a switch.

Thanks
	Andrew